# Type alias MetaEventData<TEventData>

MetaEventData<TEventData>: {
listenerAdded: {
eventName?: keyof TEventData;
listener: EventListener<TEventData[keyof TEventData]> | EventAnyListener<TEventData[keyof TEventData]>;
};
listenerRemoved: {
eventName?: keyof TEventData;
listener: EventListener<TEventData[keyof TEventData]> | EventAnyListener<TEventData[keyof TEventData]>;
};
}

#### Type Parameters

- #### TEventData extends EventData

#### Type declaration

- ##### listenerAdded: {
  eventName?: keyof TEventData;
  listener: EventListener<TEventData[keyof TEventData]> | EventAnyListener<TEventData[keyof TEventData]>;
  }

  - ##### `Optional` eventName?: keyof TEventData

  - ##### listener: EventListener<TEventData[keyof TEventData]> | EventAnyListener<TEventData[keyof TEventData]>

- ##### listenerRemoved: {
  eventName?: keyof TEventData;
  listener: EventListener<TEventData[keyof TEventData]> | EventAnyListener<TEventData[keyof TEventData]>;
  }

  - ##### `Optional` eventName?: keyof TEventData

  - ##### listener: EventListener<TEventData[keyof TEventData]> | EventAnyListener<TEventData[keyof TEventData]>

- Defined in modules/packages/module/packages/events/dist/types/Events/Events.d.ts:23

Generated using TypeDoc